# Uses of Interface
javax.sound.sampled.TargetDataLine

Packages that use TargetDataLine
Package
Description
javax.sound.sampled
Provides interfaces and classes for capture, processing, and playback of sampled audio data.

## Uses of TargetDataLine in javax.sound.sampled

Methods in javax.sound.sampled that return TargetDataLine
Modifier and Type
Method
Description
`static TargetDataLine`
AudioSystem.`getTargetDataLine(AudioFormat format)`
Obtains a target data line that can be used for recording audio data in the format specified by the `AudioFormat` object.
`static TargetDataLine`
AudioSystem.`getTargetDataLine(AudioFormat format, Mixer.Info mixerinfo)`
Obtains a target data line that can be used for recording audio data in the format specified by the `AudioFormat` object, provided by the mixer specified by the `Mixer.Info` object.
Constructors in javax.sound.sampled with parameters of type TargetDataLine
Modifier
Constructor
Description
``
`AudioInputStream(TargetDataLine line)`
Constructs an audio input stream that reads its data from the target data line indicated.